/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.kafkaconnector.jgroupsraft;

import java.util.Map;
import javax.annotation.Generated;
import org.apache.camel.kafkaconnector.CamelSinkConnectorConfig;
import org.apache.kafka.common.config.ConfigDef;

@Generated("This class has been generated by camel-kafka-connector-generator-maven-plugin, remove this annotation to prevent it from being generated.")
public class CamelJgroupsraftSinkConnectorConfig
        extends
            CamelSinkConnectorConfig {

    public static final String CAMEL_SINK_JGROUPSRAFT_PATH_CLUSTER_NAME_CONF = "camel.sink.path.clusterName";
    public static final String CAMEL_SINK_JGROUPSRAFT_PATH_CLUSTER_NAME_DOC = "The name of the JGroupsraft cluster the component should connect to.";
    public static final String CAMEL_SINK_JGROUPSRAFT_PATH_CLUSTER_NAME_DEFAULT = null;
    public static final String CAMEL_SINK_JGROUPSRAFT_ENDPOINT_LAZY_START_PRODUCER_CONF = "camel.sink.endpoint.lazyStartProducer";
    public static final String CAMEL_SINK_JGROUPSRAFT_ENDPOINT_LAZY_START_PRODUCER_DOC = "Whether the producer should be started lazy (on the first message). By starting lazy you can use this to allow CamelContext and routes to startup in situations where a producer may otherwise fail during starting and cause the route to fail being started. By deferring this startup to be lazy then the startup failure can be handled during routing messages via Camel's routing error handlers. Beware that when the first message is processed then creating and starting the producer may take a little time and prolong the total processing time of the processing.";
    public static final Boolean CAMEL_SINK_JGROUPSRAFT_ENDPOINT_LAZY_START_PRODUCER_DEFAULT = false;
    public static final String CAMEL_SINK_JGROUPSRAFT_ENDPOINT_BASIC_PROPERTY_BINDING_CONF = "camel.sink.endpoint.basicPropertyBinding";
    public static final String CAMEL_SINK_JGROUPSRAFT_ENDPOINT_BASIC_PROPERTY_BINDING_DOC = "Whether the endpoint should use basic property binding (Camel 2.x) or the newer property binding with additional capabilities";
    public static final Boolean CAMEL_SINK_JGROUPSRAFT_ENDPOINT_BASIC_PROPERTY_BINDING_DEFAULT = false;
    public static final String CAMEL_SINK_JGROUPSRAFT_ENDPOINT_SYNCHRONOUS_CONF = "camel.sink.endpoint.synchronous";
    public static final String CAMEL_SINK_JGROUPSRAFT_ENDPOINT_SYNCHRONOUS_DOC = "Sets whether synchronous processing should be strictly used, or Camel is allowed to use asynchronous processing (if supported).";
    public static final Boolean CAMEL_SINK_JGROUPSRAFT_ENDPOINT_SYNCHRONOUS_DEFAULT = false;
    public static final String CAMEL_SINK_JGROUPSRAFT_COMPONENT_CHANNEL_PROPERTIES_CONF = "camel.component.jgroups-raft.channelProperties";
    public static final String CAMEL_SINK_JGROUPSRAFT_COMPONENT_CHANNEL_PROPERTIES_DOC = "Specifies configuration properties of the RaftHandle JChannel used by the endpoint (ignored if raftHandle ref is provided).";
    public static final String CAMEL_SINK_JGROUPSRAFT_COMPONENT_CHANNEL_PROPERTIES_DEFAULT = "raft.xml";
    public static final String CAMEL_SINK_JGROUPSRAFT_COMPONENT_RAFT_HANDLE_CONF = "camel.component.jgroups-raft.raftHandle";
    public static final String CAMEL_SINK_JGROUPSRAFT_COMPONENT_RAFT_HANDLE_DOC = "RaftHandle to use.";
    public static final String CAMEL_SINK_JGROUPSRAFT_COMPONENT_RAFT_HANDLE_DEFAULT = null;
    public static final String CAMEL_SINK_JGROUPSRAFT_COMPONENT_RAFT_ID_CONF = "camel.component.jgroups-raft.raftId";
    public static final String CAMEL_SINK_JGROUPSRAFT_COMPONENT_RAFT_ID_DOC = "Unique raftId to use.";
    public static final String CAMEL_SINK_JGROUPSRAFT_COMPONENT_RAFT_ID_DEFAULT = null;
    public static final String CAMEL_SINK_JGROUPSRAFT_COMPONENT_STATE_MACHINE_CONF = "camel.component.jgroups-raft.stateMachine";
    public static final String CAMEL_SINK_JGROUPSRAFT_COMPONENT_STATE_MACHINE_DOC = "StateMachine to use.";
    public static final String CAMEL_SINK_JGROUPSRAFT_COMPONENT_STATE_MACHINE_DEFAULT = "NopStateMachine";
    public static final String CAMEL_SINK_JGROUPSRAFT_COMPONENT_LAZY_START_PRODUCER_CONF = "camel.component.jgroups-raft.lazyStartProducer";
    public static final String CAMEL_SINK_JGROUPSRAFT_COMPONENT_LAZY_START_PRODUCER_DOC = "Whether the producer should be started lazy (on the first message). By starting lazy you can use this to allow CamelContext and routes to startup in situations where a producer may otherwise fail during starting and cause the route to fail being started. By deferring this startup to be lazy then the startup failure can be handled during routing messages via Camel's routing error handlers. Beware that when the first message is processed then creating and starting the producer may take a little time and prolong the total processing time of the processing.";
    public static final Boolean CAMEL_SINK_JGROUPSRAFT_COMPONENT_LAZY_START_PRODUCER_DEFAULT = false;
    public static final String CAMEL_SINK_JGROUPSRAFT_COMPONENT_BASIC_PROPERTY_BINDING_CONF = "camel.component.jgroups-raft.basicPropertyBinding";
    public static final String CAMEL_SINK_JGROUPSRAFT_COMPONENT_BASIC_PROPERTY_BINDING_DOC = "Whether the component should use basic property binding (Camel 2.x) or the newer property binding with additional capabilities";
    public static final Boolean CAMEL_SINK_JGROUPSRAFT_COMPONENT_BASIC_PROPERTY_BINDING_DEFAULT = false;

    public CamelJgroupsraftSinkConnectorConfig(
            ConfigDef config,
            Map<String, String> parsedConfig) {
        super(config, parsedConfig);
    }

    public CamelJgroupsraftSinkConnectorConfig(Map<String, String> parsedConfig) {
        this(conf(), parsedConfig);
    }

    public static ConfigDef conf() {
        ConfigDef conf = new ConfigDef(CamelSinkConnectorConfig.conf());
        conf.define(CAMEL_SINK_JGROUPSRAFT_PATH_CLUSTER_NAME_CONF, ConfigDef.Type.STRING, CAMEL_SINK_JGROUPSRAFT_PATH_CLUSTER_NAME_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_JGROUPSRAFT_PATH_CLUSTER_NAME_DOC);
        conf.define(CAMEL_SINK_JGROUPSRAFT_ENDPOINT_LAZY_START_PRODUCER_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SINK_JGROUPSRAFT_ENDPOINT_LAZY_START_PRODUCER_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_JGROUPSRAFT_ENDPOINT_LAZY_START_PRODUCER_DOC);
        conf.define(CAMEL_SINK_JGROUPSRAFT_ENDPOINT_BASIC_PROPERTY_BINDING_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SINK_JGROUPSRAFT_ENDPOINT_BASIC_PROPERTY_BINDING_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_JGROUPSRAFT_ENDPOINT_BASIC_PROPERTY_BINDING_DOC);
        conf.define(CAMEL_SINK_JGROUPSRAFT_ENDPOINT_SYNCHRONOUS_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SINK_JGROUPSRAFT_ENDPOINT_SYNCHRONOUS_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_JGROUPSRAFT_ENDPOINT_SYNCHRONOUS_DOC);
        conf.define(CAMEL_SINK_JGROUPSRAFT_COMPONENT_CHANNEL_PROPERTIES_CONF, ConfigDef.Type.STRING, CAMEL_SINK_JGROUPSRAFT_COMPONENT_CHANNEL_PROPERTIES_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_JGROUPSRAFT_COMPONENT_CHANNEL_PROPERTIES_DOC);
        conf.define(CAMEL_SINK_JGROUPSRAFT_COMPONENT_RAFT_HANDLE_CONF, ConfigDef.Type.STRING, CAMEL_SINK_JGROUPSRAFT_COMPONENT_RAFT_HANDLE_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_JGROUPSRAFT_COMPONENT_RAFT_HANDLE_DOC);
        conf.define(CAMEL_SINK_JGROUPSRAFT_COMPONENT_RAFT_ID_CONF, ConfigDef.Type.STRING, CAMEL_SINK_JGROUPSRAFT_COMPONENT_RAFT_ID_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_JGROUPSRAFT_COMPONENT_RAFT_ID_DOC);
        conf.define(CAMEL_SINK_JGROUPSRAFT_COMPONENT_STATE_MACHINE_CONF, ConfigDef.Type.STRING, CAMEL_SINK_JGROUPSRAFT_COMPONENT_STATE_MACHINE_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_JGROUPSRAFT_COMPONENT_STATE_MACHINE_DOC);
        conf.define(CAMEL_SINK_JGROUPSRAFT_COMPONENT_LAZY_START_PRODUCER_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SINK_JGROUPSRAFT_COMPONENT_LAZY_START_PRODUCER_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_JGROUPSRAFT_COMPONENT_LAZY_START_PRODUCER_DOC);
        conf.define(CAMEL_SINK_JGROUPSRAFT_COMPONENT_BASIC_PROPERTY_BINDING_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SINK_JGROUPSRAFT_COMPONENT_BASIC_PROPERTY_BINDING_DEFAULT, ConfigDef.Importance.LOW, CAMEL_SINK_JGROUPSRAFT_COMPONENT_BASIC_PROPERTY_BINDING_DOC);
        return conf;
    }
}